GET api/contractapi/contractsbysitecustomer/{siteCustomerId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteCustomerId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
[
  {
    "selected_nameplate_id": "05b6fd22-0129-4ff4-823e-086fed33697e",
    "selected_sticker_id": "4ef452b8-7b2c-4a67-ae5e-28fef4a00cd0",
    "washing_processes": [
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "02b52949-5eeb-44d7-a014-a5a13782e7cf",
        "site_id": "f2af53db-e59b-424a-9631-55b4d84eeeee"
      },
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "02b52949-5eeb-44d7-a014-a5a13782e7cf",
        "site_id": "f2af53db-e59b-424a-9631-55b4d84eeeee"
      }
    ],
    "active": true,
    "certificate_type_id": "d49d6a65-3e79-47e1-b0c2-0aa65046dfa7",
    "code": 1,
    "delay_between_scans": 1,
    "id": "a58e97dd-202b-4565-b1c2-09febc0c615f",
    "internal_reference": "sample string 4",
    "item_wash_max": 1,
    "language_code": "sample string 5",
    "name": "sample string 6",
    "packaging_type_id": "29fd98f3-7cb9-4fb4-948b-00805fefbaab",
    "packing_type_id": "e297900b-3a4f-4933-a573-9c9b4c6a7ffa",
    "particles_control": true,
    "peremption_month": 1,
    "peremption_print_cleanroom": true,
    "peremption_print_date": true,
    "peremption_print_expedition": true,
    "permanent_management": true,
    "pool_id": "e5c6164e-b56a-41cd-8a6d-a0dafaf44338",
    "remark": "sample string 14",
    "site_customer_id": "2d15283a-912a-4ca9-a37c-8467b3887a9a",
    "sorting_type_id": "eb71d453-dd36-4243-a365-30af3e0195d0",
    "type": "sample string 17"
  },
  {
    "selected_nameplate_id": "05b6fd22-0129-4ff4-823e-086fed33697e",
    "selected_sticker_id": "4ef452b8-7b2c-4a67-ae5e-28fef4a00cd0",
    "washing_processes": [
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "02b52949-5eeb-44d7-a014-a5a13782e7cf",
        "site_id": "f2af53db-e59b-424a-9631-55b4d84eeeee"
      },
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "02b52949-5eeb-44d7-a014-a5a13782e7cf",
        "site_id": "f2af53db-e59b-424a-9631-55b4d84eeeee"
      }
    ],
    "active": true,
    "certificate_type_id": "d49d6a65-3e79-47e1-b0c2-0aa65046dfa7",
    "code": 1,
    "delay_between_scans": 1,
    "id": "a58e97dd-202b-4565-b1c2-09febc0c615f",
    "internal_reference": "sample string 4",
    "item_wash_max": 1,
    "language_code": "sample string 5",
    "name": "sample string 6",
    "packaging_type_id": "29fd98f3-7cb9-4fb4-948b-00805fefbaab",
    "packing_type_id": "e297900b-3a4f-4933-a573-9c9b4c6a7ffa",
    "particles_control": true,
    "peremption_month": 1,
    "peremption_print_cleanroom": true,
    "peremption_print_date": true,
    "peremption_print_expedition": true,
    "permanent_management": true,
    "pool_id": "e5c6164e-b56a-41cd-8a6d-a0dafaf44338",
    "remark": "sample string 14",
    "site_customer_id": "2d15283a-912a-4ca9-a37c-8467b3887a9a",
    "sorting_type_id": "eb71d453-dd36-4243-a365-30af3e0195d0",
    "type": "sample string 17"
  }
]

application/xml, text/xml

Sample:
<ArrayOfcontract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <contract>
    <active>true</active>
    <certificate_type_id>d49d6a65-3e79-47e1-b0c2-0aa65046dfa7</certificate_type_id>
    <code>1</code>
    <delay_between_scans>1</delay_between_scans>
    <id>a58e97dd-202b-4565-b1c2-09febc0c615f</id>
    <internal_reference>sample string 4</internal_reference>
    <item_wash_max>1</item_wash_max>
    <language_code>sample string 5</language_code>
    <name>sample string 6</name>
    <packaging_type_id>29fd98f3-7cb9-4fb4-948b-00805fefbaab</packaging_type_id>
    <packing_type_id>e297900b-3a4f-4933-a573-9c9b4c6a7ffa</packing_type_id>
    <particles_control>true</particles_control>
    <peremption_month>1</peremption_month>
    <peremption_print_cleanroom>true</peremption_print_cleanroom>
    <peremption_print_date>true</peremption_print_date>
    <peremption_print_expedition>true</peremption_print_expedition>
    <permanent_management>true</permanent_management>
    <pool_id>e5c6164e-b56a-41cd-8a6d-a0dafaf44338</pool_id>
    <remark>sample string 14</remark>
    <site_customer_id>2d15283a-912a-4ca9-a37c-8467b3887a9a</site_customer_id>
    <sorting_type_id>eb71d453-dd36-4243-a365-30af3e0195d0</sorting_type_id>
    <type>sample string 17</type>
    <selected_nameplate_id>05b6fd22-0129-4ff4-823e-086fed33697e</selected_nameplate_id>
    <selected_sticker_id>4ef452b8-7b2c-4a67-ae5e-28fef4a00cd0</selected_sticker_id>
    <washing_processes>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>02b52949-5eeb-44d7-a014-a5a13782e7cf</id>
        <site_id>f2af53db-e59b-424a-9631-55b4d84eeeee</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>02b52949-5eeb-44d7-a014-a5a13782e7cf</id>
        <site_id>f2af53db-e59b-424a-9631-55b4d84eeeee</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
    </washing_processes>
  </contract>
  <contract>
    <active>true</active>
    <certificate_type_id>d49d6a65-3e79-47e1-b0c2-0aa65046dfa7</certificate_type_id>
    <code>1</code>
    <delay_between_scans>1</delay_between_scans>
    <id>a58e97dd-202b-4565-b1c2-09febc0c615f</id>
    <internal_reference>sample string 4</internal_reference>
    <item_wash_max>1</item_wash_max>
    <language_code>sample string 5</language_code>
    <name>sample string 6</name>
    <packaging_type_id>29fd98f3-7cb9-4fb4-948b-00805fefbaab</packaging_type_id>
    <packing_type_id>e297900b-3a4f-4933-a573-9c9b4c6a7ffa</packing_type_id>
    <particles_control>true</particles_control>
    <peremption_month>1</peremption_month>
    <peremption_print_cleanroom>true</peremption_print_cleanroom>
    <peremption_print_date>true</peremption_print_date>
    <peremption_print_expedition>true</peremption_print_expedition>
    <permanent_management>true</permanent_management>
    <pool_id>e5c6164e-b56a-41cd-8a6d-a0dafaf44338</pool_id>
    <remark>sample string 14</remark>
    <site_customer_id>2d15283a-912a-4ca9-a37c-8467b3887a9a</site_customer_id>
    <sorting_type_id>eb71d453-dd36-4243-a365-30af3e0195d0</sorting_type_id>
    <type>sample string 17</type>
    <selected_nameplate_id>05b6fd22-0129-4ff4-823e-086fed33697e</selected_nameplate_id>
    <selected_sticker_id>4ef452b8-7b2c-4a67-ae5e-28fef4a00cd0</selected_sticker_id>
    <washing_processes>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>02b52949-5eeb-44d7-a014-a5a13782e7cf</id>
        <site_id>f2af53db-e59b-424a-9631-55b4d84eeeee</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>02b52949-5eeb-44d7-a014-a5a13782e7cf</id>
        <site_id>f2af53db-e59b-424a-9631-55b4d84eeeee</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
    </washing_processes>
  </contract>
</ArrayOfcontract>